ext {

    module = [
            remoteLib         : false,
            minifyEnabled     : false,
            publish           : false,
            channelModule     : 'channel_oppo',
            coreModuleLanguage: 1
    ]

    android = [
            compileSdk       : 31,
            buildToolsVersion: '31.0.0',
            minSdk           : 21,
            targetSdk        : 31,
            ndkVersion       : '21.4.7075529'
    ]

    ktx = [
            stdlib    : "org.jetbrains.kotlin:kotlin-stdlib:$kotlin_version",
            coroutines: "org.jetbrains.kotlinx:kotlinx-coroutines-core:$coroutines_version",
            core      : "androidx.core:core-ktx:1.7.0",
    ]

    ui = [
            appcompat         : "androidx.appcompat:appcompat:1.4.0",
            material          : "com.google.android.material:material:1.4.0",
            constraintlayout  : "androidx.constraintlayout:constraintlayout:2.1.0",
            swiperefreshlayout: "androidx.swiperefreshlayout:swiperefreshlayout:1.1.0",
            recyclerview      : "androidx.recyclerview:recyclerview:1.2.1",
            cardview          : "androidx.cardview:cardview:1.0.0"
    ]

    jetpack = [
            viewmodel: "androidx.lifecycle:lifecycle-viewmodel-ktx:2.4.0",
            livedata : "androidx.lifecycle:lifecycle-livedata-ktx:2.4.0",
            extension: "androidx.lifecycle:lifecycle-extensions:2.2.0",
            activity : "androidx.activity:activity-ktx:1.4.0",
            fragment : "androidx.fragment:fragment-ktx:1.4.0"
    ]

    ktxLibs = ktx.values()
    jetpackLibs = jetpack.values()
    uiLibs = ui.values()
}